cURL
curl --request GET \
--url https://sandbox.withclasp.com/notifications/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/notifications/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/notifications/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"notification_type": "enrollment_submitted",
"related_object_type": "member",
"related_object_id": "<string>",
"payload": {},
"owner": "clasp",
"created_at": "2023-11-07T05:31:56Z"
}Notifications
Retrieve Notification
Retrieves a single notification by ID.
GET
/
notifications
/
{public_id}
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$The type of notification. For example, welcome is created for new hires and enrollment_submitted after a member submits their enrollment.
Available options:
enrollment_submitted, enrollment_approved, member_terminated, welcome, newly_eligible, dependent_age_out, open_enrollment_kickoff, open_enrollment_reminder The type of the object this notification is about.
Available options:
member, dependent, employer, open_enrollment_window, payroll_benefit, subclass, enrollment, business_unit, beneficiary, plan, plan_configuration, notification, retirement_connection ID of the object this notification is about, so you can look up more information if needed.
Commonly used information for notifications of this type that can be populated into an email template.
Who is responsible for delivering this notification to the recipient.
Available options:
clasp, partner